libpcap-1.9.0-2.fc28.i686.rpm


Advertisement

Description

libpcap - A system-independent interface for user-level packet capture

Property Value
Distribution Fedora 28
Repository Fedora Updates i386
Package name libpcap
Package version 1.9.0
Package release 2.fc28
Package architecture i686
Package type rpm
Installed size 367.43 KB
Download size 165.24 KB
Official Mirror download-ib01.fedoraproject.org
Libpcap provides a portable framework for low-level network
monitoring.  Libpcap can provide network statistics collection,
security monitoring and network debugging.  Since almost every system
vendor provides a different interface for packet capture, the libpcap
authors created this system-independent API to ease in porting and to
alleviate the need for several system-dependent packet capture modules
in each application.
Install libpcap if you need to do low-level network traffic monitoring
on your network.

Alternatives

Package Version Architecture Repository
libpcap-1.9.0-2.fc28.i686.rpm 1.9.0 i686 Fedora Updates
libpcap-1.9.0-2.fc28.x86_64.rpm 1.9.0 x86_64 Fedora Updates
libpcap-1.8.1-8.fc28.x86_64.rpm 1.8.1 x86_64 Fedora
libpcap-1.8.1-8.fc28.i686.rpm 1.8.1 i686 Fedora
libpcap-1.8.1-8.fc28.i686.rpm 1.8.1 i686 Fedora
libpcap - - -

Requires

Name Value
libc.so.6(GLIBC_2.11) -
rtld(GNU_HASH) -

Provides

Name Value
libpcap = 1.9.0-2.fc28
libpcap(x86-32) = 1.9.0-2.fc28
libpcap.so.1 -

Download

Type URL
Binary Package libpcap-1.9.0-2.fc28.i686.rpm
Source Package libpcap-1.9.0-2.fc28.src.rpm

Install Howto

Install libpcap rpm package:

# dnf install libpcap

Files

Path
/usr/lib/libpcap.so.1
/usr/lib/libpcap.so.1.9.0
/usr/lib/.build-id/
/usr/lib/.build-id/fa/b20df9a71617f50903d46343aebf83b9cbcd51
/usr/share/doc/libpcap/CHANGES
/usr/share/doc/libpcap/CREDITS
/usr/share/doc/libpcap/README.md
/usr/share/licenses/libpcap/LICENSE
/usr/share/man/man7/pcap-filter.7.gz
/usr/share/man/man7/pcap-linktype.7.gz
/usr/share/man/man7/pcap-tstamp.7.gz

Changelog

2018-12-19 - Michal Ruprich <mruprich@redhat.com> - 14:1.9.0-2
- pkgconfig file belong in devel package (rhbz#1623917)
- drop obsolete group in spec
2018-08-01 - Michal Ruprich <mruprich@redhat.com> - 14:1.9.0-1
- new version 1.9.0
2018-06-07 - Michal Ruprich <mruprich@redhat.com> - 14:1.8.1-10
- Adding support for AF_VSOCK
2018-02-20 - Martin Sehnoutka <msehnout@redhat.com> - 14:1.8.1-9
- Add gcc to BuildRequires
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 14:1.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-02-03 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 14:1.8.1-7
- Switch to %ldconfig_scriptlets
2017-08-03 - Fedora Release Engineering <releng@fedoraproject.org> - 14:1.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 14:1.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-05-18 - Martin Sehnoutka <msehnout@redhat.com> - 14:1.8.1-4
- Drop TPACKET_V3 patch as it should be fixed in kernel by now
2017-02-10 - Fedora Release Engineering <releng@fedoraproject.org> - 14:1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

See Also

Package Description
libpcap-devel-1.9.0-2.fc28.i686.rpm Libraries and header files for the libpcap library
libpinyin-2.2.2-1.fc28.i686.rpm Library to deal with pinyin
libpinyin-data-2.2.2-1.fc28.i686.rpm Data files for libpinyin
libpinyin-devel-2.2.2-1.fc28.i686.rpm Development files for libpinyin
libpinyin-tools-2.2.2-1.fc28.i686.rpm Tools for libpinyin
libpng-1.6.34-6.fc28.i686.rpm A library of functions for manipulating PNG image format files
libpng-devel-1.6.34-6.fc28.i686.rpm Development tools for programs to manipulate PNG image format files
libpng-static-1.6.34-6.fc28.i686.rpm Static PNG image format file library
libpng-tools-1.6.34-6.fc28.i686.rpm Tools for PNG image format file library
libpng10-1.0.69-5.fc28.i686.rpm Old version of libpng, needed to run old binaries
libpng10-devel-1.0.69-5.fc28.i686.rpm Development tools for version 1.0 of libpng
libpng15-1.5.30-6.fc28.i686.rpm Old version of libpng, needed to run old binaries
libproxy-0.4.15-6.fc28.i686.rpm A library handling all the details of proxy configuration
libproxy-bin-0.4.15-6.fc28.i686.rpm Binary to test libproxy
libproxy-devel-0.4.15-6.fc28.i686.rpm Development files for libproxy
Advertisement
Advertisement